export declare class FriendlyPhrase {
    /**
     * @Method: Returns a random adjective from the words list.
     * @Return {string}
     */
    static adjective(): string;
    /**
     * @Method: Returns a random color from the words list.
     * @Return {string}
     */
    static color(): string;
    /**
     * @Method: Returns a random animal from the words list.
     * @Return {string}
     */
    static animal(): string;
    /**
     * @Method: Returns a three-word passphrase with a separator string
     * between each word - order is adjective-color-animal
     * @param {string} [sep = ' '] - The separator charatcter
     * @param {string} [prevent = ''] - a matching string used
     * to prevent (very unlikely) duplicate results
     * @Return {string}
     */
    static phrase(sep?: string, prevent?: string): string | undefined;
    private static random;
}
