"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adjectives_1 = require("./words/adjectives");
var animals_1 = require("./words/animals");
var colors_1 = require("./words/colors");
var FriendlyPhrase = /** @class */ (function () {
    function FriendlyPhrase() {
    }
    /**
     * @Method: Returns a random adjective from the words list.
     * @Return {string}
     */
    FriendlyPhrase.adjective = function () {
        return adjectives_1.adjectives[this.random(adjectives_1.adjectives.length)];
    };
    /**
     * @Method: Returns a random color from the words list.
     * @Return {string}
     */
    FriendlyPhrase.color = function () {
        return colors_1.colors[this.random(colors_1.colors.length)];
    };
    /**
     * @Method: Returns a random animal from the words list.
     * @Return {string}
     */
    FriendlyPhrase.animal = function () {
        return animals_1.animals[this.random(animals_1.animals.length)];
    };
    /**
     * @Method: Returns a three-word passphrase with a separator string
     * between each word - order is adjective-color-animal
     * @param {string} [sep = ' '] - The separator charatcter
     * @param {string} [prevent = ''] - a matching string used
     * to prevent (very unlikely) duplicate results
     * @Return {string}
     */
    FriendlyPhrase.phrase = function (sep, prevent) {
        if (sep === void 0) { sep = ' '; }
        if (prevent === void 0) { prevent = ''; }
        var result = "" + this.adjective() + sep + this.color() + sep + this.animal();
        if (result !== prevent) {
            return result;
        }
        else {
            this.phrase(sep, prevent);
        }
    };
    FriendlyPhrase.random = function (max) {
        return Math.floor(Math.random() * max);
    };
    return FriendlyPhrase;
}());
exports.FriendlyPhrase = FriendlyPhrase;
